Changes in 3.22.0

* Really enforce GDL_DOCK_ITEM_BEH_CANT_CLOSE (Lukas K)

* Translation: oc Cédric Valmary
* Translation: fr Alexandre Franke
* Translation: pl Piotr Drąg


Changes in 3.20.0

* No changes


Changes in 3.18.0

* Use "resize" property and fix a bug in panel widget (Vladimir Motilenko)
* bgo #751239: fix preview window color (Lukas K)
* bgo #729325 - Set type hint of dragged-out windows to TOOLBAR (Lukas K)

* Translation: ca Jordi Ma
* Translation: pl Piotr Drąg
* Translation: pt Pedro Albuquerque


Changes in 3.16.0

* Translation: bs Samir Ribic
* Translation: sv Anders Jonsson
* Translation: tr Necdet Yücel, Muhammet Kara
* Translation: eu Inaki Larranaga Murgoitio


Changes in 3.14.0

* No changes


Changes in 3.13.92

* Translation: nb (Kjartan Maraas)


Changes in 3.12.0

* No change

Changes in 3.11.92

* Fix build using C++11 (Ryan Lortie)
* Fix valgrind warnings (Sébastien Granjoux)
* Update FSF's address (Daniel Mustieles)

* Translation: zh (Wylmer Wang)
* Translation: de (Christian Kirbach)
* Translation: sr (Мирослав Николић)
* Translation: lv (Rūdolfs Mazurs)

Changes in 3.10.0

* Translation: hu (Balázs Úr)
* Translation: pt_BR (Enrico Nicoletto)

Changes in 3.9.91

* Allow to add GdlDock object inside GdlDockItem (Sébastien Granjoux)
* Hide unused widget (Sébastien Granjoux)
* Remove unused header (Juan Pablo Ugarte)
* Indent layout when saving (Dominique Lasserre)
* New property tab-pos and tab-reorderable for GdlSwitcher (Dominique Lasserre)
* Fix build with automake 1.13	(Marcin Banasiak)
* Emit notify signal in DockObject setters (Evan Nemerson)

* Fix bgo#699545 - Can't grab or focus widgets after moving around the docks (Ubuntu-specific) (Sébastien Granjoux)
* Fix bgo#515755 - Manually show and hide grip (Dominique Lasserre)

* Translation: eu (Inaki Larranaga Murgoitio)
* Translation: pl (Piotr Drąg)
* Translation: it (Milo Casagrande)
* Translation: lt (Aurimas Černius)
* Translation: gl (Fran Diéguez)
* Translation: id (Andika Triwidada)
* Translation: ru (Yuri Myasoedov)
* Translation: cs (Marek Černocký)
* Translation: pt_BR (Rafael Ferreira)
* Translation: es (Daniel Mustieles)
* Translation: sl (Matej Urbančič)
* Translation: el (Dimitris Spingos)
* Translation: ca (Gil Forcada, Carles Ferrando)
* Translation: tg (Victor Ibragimov)
* Translation: fr (Alexandre Franke)


Changes in 3.8.0

* Translation: el (Dimitris Spingos)


Changes in 3.7.91

* Fix bgo#693298 - GdlDockItem::dock-drag-motion signal doesn't match vfunc

* Translation: hu (Balázs Úr)
* Translation: pt_BR (Enrico Nicoletto, Rafael Ferreira)


Changes in 3.7.3

* Fix build with GDL_DISABLE_DEPRECATED defined (Sébastien Granjoux)
* Hide GdlDockNotebook button if there is only one visible page (Sébastien Granjoux)
* Fix bgo#688585 - Unused docks don't disappear (Sébastien Granjoux)
* Fix gtk theme warning and assertion (Carl-Anton Ingmarsson)
* bgo #686702 - Reading the master member of GdlDockObject returns null pointer (Sébastien Granjoux)

* Translation: en_GB (Chris Leonard)
* Translation: sr (Мирослав Николић)
* Translation: de (Christian Kirbach)

Changes in 3.6.0

* Translation: cs (Marek Černocký)


Changes in 3.5.91

* Translation updates

Changes in 3.5.5

* Fix various layout bugs from previous changes (Sébastien Granjoux)
* Remove public members in structs (Sébastien Granjoux)
* Deprecate macros and replace them with access functions (+ adding some new access functions for now private members) (Sébastien Granjoux)
* Fix bgo #667158 - Constructor for GdlDockBar loses 'dock' argument with gobj (Sébastien Granjoux)
* Fix bgo #680655 - test-dock crashes (Sébastien Granjoux)

Changes in 3.5.4

* New handling of hidden/not existing windows in layout:
 * Those will be placed in the position saved in the layout once created
   even if they didn't exist when the layout was initially loaded
   (Sébastien Granjoux)

Changes in 3.5.3

* skip-taskbar property (Alex Valavanis)
* Fix hidden buttons (Sébastien Granjoux)
* Various deprecations and code improvements (Sébastien Granjoux)
* Improve Documentation (Sébastien Granjoux)

Changes in 3.4.0

* Translation updates

Changes in 3.3.91

* Merge more changes from Inkscape (Alex Valavanis)

Changes in 3.3.90:

* Hide preview window correctly (Johannes Schmid)

Changes in 3.3.4:

* Include some inkscape patches (Alex Valavanis)

Changes in 3.3.1

* Remove GdlLayoutManager API as it wasn't used by everybody and
complicated the code refactoring needed to remember hidden/iconified
windows (James Liggett)

Changes in 3.2.0

* Use maintainer-mode by default (Javier Jardon)
* Translation updates

Changes in 3.1.5

* Fix a crash while docking (Sébastien Granjoux)
* Fix issues with latest GTK+ (Sébastien Granjoux, Dominique Leuenberger)

Changes in 3.1.4

* Bug 655099 - Resizing one DockItem affects another

Changes in 3.1.2

* Add a deselected signal to GdlDockItem (James Liggett)
* Use "const" instead G_CONST_RETURN (Javier Jardon)

Changes in 3.1.1

* Bug 649254 - Use the gobject way to create the private structs
* Bug 649258 - Use the new GtkStyleContext
* Bug 649259 - Remove deprecated methods (all Ignacio Casal Quinteiro (nacho))

Changes in 3.0.1

* Set GtkJunctionSides for GdlSwitcher toggle buttons (Christian Hergert)
* Translation updates

Changes in 3.0.0

* Translation updates
* Fix missing return values (Frederic Crozat)

Changes in 2.91.92

* Translation updates
* Build fixes (Wouter Bolsterlee)

Changes in 2.91.90

* Translation updates

Changes in 2.91.4

* Fixed for latest gtk+

Thanks to: Sébastien Granjoux

Changes in 2.91.3

* GIR build fixed for vala
* Use gtk_paned_new instead() of gtk_[h,v]paned_new()

Thanks to Theppitak Karoonboonyanan, Evan Nemerson, Gheyret T.Kenji,
Javier Jardón

Changes in 2.91.2

* bgo#633499 - prepare for the demise of size_request
* Some smaller fixes for leftovers of the gtk+-3.0 transition

Thanks to Ignacio Casal Quinteiro, Matthias Clasen, Wladzimir Manulenka,
Xandru Armesto

Changes in 2.91.1

* Ported to lastest gtk+ master:
 * bgo#633049 - Stop using GtkObject
 * bgo#630841 - Don't use deprecated GDK drawing APIs
 * bgo#631070 - Use upstream gettext instead the Glib one
 * bgo#624636 - Update to new GtkNotebook switch-page signal signature
* Due to new drawing API we have much niver preview windows now :)

Thanks to Javier Jardon, Frederic Peters and Kjartan Maraas

Changes in 2.90.0

* Depends on gtk+-3.0 now:
 - new library name libgdl3
 - new pkg-config name gdl-3.0
Note: You cannot use that version for building anjuta yet because there are
still problems with gtk+-3.0 support in anjuta (libgladeui, libvte).

Thanks to Andre Klapper, Javier Jardon and Mirsal Ennaime for the GSEAL and
deprecation patches.

Changes in 2.31.2

* Translation updates

Changes in 2.31.1

* Keep the internal label of the gdl-dock-item up-to-date and include a stock icon (bgo#615113)
* bgo#597996  - usage of private API in the gdl_dock_placeholder_new function
* bgo#603466  - Missing functions in gdl-layout.c
* bgo#595837  - Coordinate string fixes
* bgo#603600  - Missing return values
* bgo#577469  - Remove deprecated Gtk+ symbols

Changes in 2.30.0

* Translation updates

Changes in 2.29.2:

* Add a "selected" signal to GdlDockItem
* Don't make dock windows transistent, there is now need to do so (bgo#570263)
* Bug 583984 -  Build warning about no return value

Changes in 2.28.0

* Translation updates

Changes in 2.27.92

* GDL is now LGPL 2.1+
* Add new GdlSwitcherStyle name GDL_SWITCHER_STYLE_NONE (bgo #589317)

Changes in 2.27.3:

- Removed libglade dependency

Bugs fixed:
#584418 - gdl_dock_paned_dock does not show the requestor
#584303 – Potfiles.in broken
#580860 – Remove deprecated libgnome dependency
#582511 – Use GtkBuilder instead of libglade
#583963 – does not build with gdl 2.27.2
    
Changes in 2.27.2:

- Fix out of source tree builds
- Hide private API
- Fix so name generation

Changes in 2.27.1:

Bugs fixed:
#579057 – Grip layout bug where negative rectangles are possible
#578967 – gdl_dock_item_grip_remove must be implemented
#471317 – invisible buttons in HCI theme
#560820 – Remove GdlComboButton
#577938 – gdl_dock_placeholder_new's name param should be const gchar* not gchar*
#577107 – Layout bug in the grip widget headers
#577001 – Patch: Added optional grip handle hatching
#577469 – Remove deprecated GTK+ symbols

API changes:
- GdlComboButton API has been removed. Use GtkMenuToolButton instead

Changes in 2.26.0:

* Fix distcheck
* Fix valgrind warning
* Translation updates (Thanks to all tranlators!)

Changes in 2.25.92:

* #566801 – Docking+undocking all makes the buttons disappear and
	crashes if you use "Reset dock layout" (Sébastien Granjoux)
* #573522 – More patches for GDL (Joel Holdsworth)
* Small documentation update

Changes in 2.25.91:

* Added some gtk-doc documentation (Joel Holdsworth)
* Cleaned-up gtk+ includes (Pedro Fragoso)

Changes in 2.24.0

* Fixed dataroot problem
* Removed old code (and as such gnome-vfs dependency)
* Translation updates: he, sr, ar, et, hr, mr

Changes in 2.23.90

* Version increased to match gnome releases.
* Use smaller buttons to waste less space
* Port to the GtkTooltip API (fixes #457562)
* Fixed bug #529457 - Superfluous condition
* Fixed bug #539288 - Use gtype macros instead of the deprecated gtk ones.
* Translation updates: da, tr, el, it, zh_TW, zh_HK, ru, ar, vi,
  bg, th, ps, sq, pt_BR, mr
	
Changes in 0.7.11

* Translation updates: hu, pt_BR, fr, mk, es, lt, hi, uk and cs

Changes in 0.7.10

* Avoid glib critical warnings
* Translation updates: si, pt, fi, ne, ca, pl, en_GB, ar, nl, th and de.

Changes in 0.7.9

* Added gtk-doc documentation (12% coverage)
* Fixed documentation of property (#514116)
* Translation updates: ar, tr, pt, es, gl, eu, sv

Changes in 0.7.8

* Disable deprecated flags completely until #457562 is fixed
* Do not ref/unref icon theme.
* Use smaller icons to not waste too much screen space
* Fixed #468645 and #452331 by using gnome-autogen.sh
* Fix #462537 – GdlDockItemGrip notification callback
* Backported several small improvements from Monodevelop
* Fixes bug #509950 - L10N: typos in some messages (fow -> for)
* Silenced some compiler warnings.
* Translation updates: es, vi, ar, sl, bg, ko, nb, oc, ar, eu, sv, uk

Changes in 0.7.7

* Fixes Bug #407393 – (void)0 will cause build fail on Sun cc.
* Fixes build for Gtk+ >= 2.10
* Fixed crasher in button layout
* Fixes bug #317004 - Crash when maximizaing widget that has been
  already removed

Changes in 0.7.6

* SUN build fixes
* Cygwin build fixes

Changes in 0.7.5

* Fixes build failure

Changes in 0.7.4

* Added a button-like tab switcher widget for notebook docks.
* Panes now resize proportionately.
* Fixed resizing error.

Changes in 0.7.3

* Improved docking algorithm

Changes in 0.7.2

* Install gdl-gnome.pc only if build with gnome support (bug #403044)
* Translation updates: en_GB, sv, ja

Changes in 0.7.1

* Use canonical property names (#381845)
* fix undefined symbol in python bindings (#397562)
* New translation: dz (Pema Geyleg  <pema.geyleg@gmail.com>)

This release is meant a bug-fix release for proper python-binding

Changes in 0.7.0

* Added support to build without GNOME
* Split into libgdl and libgdl-gnome
* Removed some deprecated API
* Bug fixes for window positioning (thanks for the patches)
* Some fixes to build system
* Added dockbar style setting.
* Restore dockitem demensions when showing them.
* Improved restoring dockitem placements when showing them.
 
Changes in 0.6.1

* Some build fixes and translation updates
* Removed deprecated symbol-browser-widget
* Updated translations:
    fi (Ilkka Tuohela  <hile@iki.fi>)
    sv (Daniel Nylander  <po@danielnylander.se>)
    es (Francisco Javier F. Serrador  <serrador@cvs.gnome.org>)
    vi (Clytie Siddall <clytie@riverland.net.au>)
    ne (Pawan Chitrakar  <pchitrakar@gmail.com>)

Changes in 0.6.0:

* 64 bit arch fixes (thanks to David Malcolm)
* Fixed RPM spec file.
* Removed deprecated files from distribution.

Changes in 0.5.0:

* Added orientation get/set functions to allow for horizontal/vertical layout,
  thanks to David A Knight  <david@ritter.demon.co.uk>
* Fix memory and tooltip object leaks.
* Adds two new behaviors to hide the iconify and close button in item handle.
* Properly add/remove items based on the ICONIFIED flag.
* GdlDockItems can also have a stock_id now.
* Added a new GdlDockBar widget	which displays iconified dockitems.
* Improved GdlDock look (looks more like the Gimp's docking widget now).
* Many bug fixes.
* Updated translations: zh_CN, ca, hr, ga, en_GB, pa, nb, rw

Changes in 0.4.0:

* Use the GnomeIconTheme API in GdlIcon
* i18n work in all parts of the library
* Changed semantics of the "layout_changed" signal in the dock layout
  object and improved the global "locked" property behavior
* HIGified layout manager dialog
* Enable SVG icon themes in GdlIcon

Major changes since 0.1.0:

* GNOME2 port
* Scintilla editing component is no longer available
* New symbol browser component
* New docking widget
* Beginnings of a data display widget 

